#include <stdio.h>
#include "twoncall.h"

int
main (void)
{
  union {
    int val;
    TwonFlags flags;
  } ret;

  if (GetTwentyOneID () != TWON_ID) {
    printf ("(V)TwentyOne.sys ͓o^Ă܂.\n");
    return 1;
  }

  ret.val = GetTwentyOneOptions ();

#define PRINT(flag,mes) if (ret.flags.flag) printf (mes)
  PRINT (twentyone_option,   "+T 21 FIvV\n");
  PRINT (case_option,	     "+C P[XIvV\n");
  PRINT (casewarn_option,    "+W P[X~X}b`xIvV\n");
  PRINT (multi_period_option,"+P ҂肨ǂIvV\n");
  PRINT (special_option,     "+S LN^IvV\n");
  PRINT (files_option,	     "+F t@C⊮IvV\n");
  PRINT (alias_option,	     "+A ZkIvV\n");
  PRINT (sysroot_option,     "+R '/'WJIvV\n");
  PRINT (sysroot2_option,    "+Y '\'WJIvV\n");
  PRINT (verbose_option,     "+V o[{[YIvV\n");
  PRINT (dummy_option,	     "Unexpected options are detected.\n");
#undef PRINT

  printf ("-B=%d\n", ret.flags.buffers_option);

  {
    char sysroot[SYSROOT_MAX];

    GetTwentyOneSysroot (sysroot);
    printf ("SYSROOT = %s/\n", sysroot);
  }

  return 0;
}

/* EOF */
